CREATE TABLE T_RECIPIENT_INNO(
	id INTEGER NOT NULL AUTO_INCREMENT,
	email VARCHAR(255) NOT NULL,    
	created DATETIME NOT NULL,	
	PRIMARY KEY (id),
	UNIQUE UQ_RECIPIENT_EMAIL_INNO(email)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE T_RECIPIENT_PROPS_INNO(
	idProp INTEGER NOT NULL AUTO_INCREMENT,
	idRcpt INTEGER NOT NULL,
	name VARCHAR(255) NOT NULL,
	PRIMARY KEY (idProp),
	KEY (idRcpt)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE T_RECIPIENT_PROPS_INNO ADD CONSTRAINT FK_T_RECIPIENT_PROPS_INNO 
	FOREIGN KEY (idRcpt) REFERENCES T_RECIPIENT_INNO (id)
	ON DELETE CASCADE ON UPDATE CASCADE;
	
CREATE TABLE T_RECIPIENT_ISAM(
	id INTEGER NOT NULL AUTO_INCREMENT,
	email VARCHAR(255) NOT NULL,    
	created DATETIME NOT NULL,	
	PRIMARY KEY (id),
	UNIQUE UQ_RECIPIENT_EMAIL_ISAM(email)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE T_RECIPIENT_PROPS_ISAM(
	idProp INTEGER NOT NULL AUTO_INCREMENT,
	idRcpt INTEGER NOT NULL,
	name VARCHAR(255) NOT NULL,
	PRIMARY KEY (idProp),
	KEY (idRcpt)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;