package cz.novoj.hugeImport.isam;

import cz.novoj.hugeImport.AbstractImportLogicTest;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.junit.Test;

/**
 * Description
 *
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */
public class IsamImportLogicTest extends AbstractImportLogicTest implements InitializingBean {
	@Autowired @Qualifier("isamImportLogic")
	private ImportLogic isamImportLogic;

	public void afterPropertiesSet() throws Exception {
		this.importLogic = isamImportLogic;
	}

	@Test
	public void testLoadDataInTable() throws Exception {
		long start = System.currentTimeMillis();
		isamImportLogic.importLoadDataFromFile();
		long end = System.currentTimeMillis();
		log.info("Naive InnoDb import - time elapsed: " + (end - start) / 1000 + "s");
	}
	
}